Overview

Streamer is a high speed data collection program. It can stream data from analogue inputs directly to the computer’s hard disk. Alternatively, for transient capture, Streamer saves data in memory and copies it to disk when collection has finished.

During collection Streamer can display charts and tables of data. If you need more sophisticated analysis or presentation, you can share data with other Windows applications using dynamic data exchange (DDE).

To collect data you need to:

  1. Configure Streamer by creating a new setup
  2. Create a data file
  3. Press the Start button


Configuring Streamer by Creating a New Setup

The first time you run Streamer, start by pressing the New Setup button. This takes you through the steps needed to configure Streamer, namely:

  1. Configure the hardware
  2. Set the format of the data file
  3. Set how to trigger data collection
  4. Set the speed of data collection, the maximum amount of data to collect and the time between reading each channel.

You can save your choices and restore them the next time you use Streamer.

Once you've configured Streamer press the Collect button and create data file.


Configuring the Hardware

The data acquisition hardware is configured by sending it a hardware setup file (*.ims), which you created with the SetupIML program. There are two ways to load a hardware setup file

  1. When you start Streamer and elect to create a New Streamer Setup.
    In this case a dialogue appears for you to choose a hardware setup file. Press OK and you are asked to choose the format of the data file.
  2. When you restore a Streamer setup you have previously saved.

You can display details of the setup in Streamer's Info window.

When you load the setup a message box might appear, telling you that either a low-pass filter or auto-ranging was specified in the setup file. For auto-ranging you'll have to return to SetupIML and pick an actual range (auto-ranging is too slow for Streamer). For a low-pass filter you will only be able to run Streamer slowly, otherwise the filter will introduce interference between channels.

Next...


Choosing the Format of the Data File

You are asked to choose the data file format during the New Setup process. To later change the format select Output file format from the Settings menu.

Streamer can save data in three kinds of file: IMX, Famos or ASCII text. Which you pick depends on how you plan to analyse your data.

IMX - Native binary format

Data is written to disk directly from the hardware in a multiplexed binary format. This is the most efficient format.

Famos - Linearised 4 byte reals

Data is saved to disk in a format that is optimised for the Famos data analysis package. Data is not written directly to disk, however. Streamer stores data in memory in the computer until the collection is complete. It then converts the data to engineering units and writes it to disk. Because the data is temporarily stored in the computer memory, Streamer is limited in the amount of data it can collect. This limit is variable and depends on the amount of free virtual memory.

ASCII - Suitable for import into Excel or Replay

Most programs, including Microsoft Excel, accept data in ASCII format. As with Famos format, Streamer stores data in memory until collection is complete. It then converts the data to engineering units and writes it to disk. Because the data is temporarily stored in the computer memory, Streamer is limited in the amount of data it can collect. This limit is variable and depends on the amount of free virtual memory.

Next...


Triggering Data Collection

After you press the Start button, Streamer will wait until your chosen trigger conditions are met before starting to collect data. You are asked to choose the triggering options during the New Setup process. To later change the trigger select Triggering from the Settings menu. (The trigger defaults to that specified in the hardware setup file.)

Choose to begin streaming data:

  1. Immediately on pressing the Start button in Streamer.
  2. When your data acquisition hardware receives a signal at its external trigger input. (See the Hardware Manual for details of connecting an external trigger.)
  3. When the voltage level at one designated input channel crosses your chosen threshold. Select "On Trigger Channel 1", then choose the input to act as the trigger channel.
    1. Select an input channel from the Channel Name list.
    2. Type in a voltage level
    3. Select whether post-trigger collection should start when the channel goes above or below this level.

    You can also capture pre-trigger data. This is useful when you want to see what happened before and after an event. To do this just enter the proportion of data to collect before the trigger occurs, into the Percent before Trigger box. The number of pre- and post-trigger scans are shown. (To set the total number of scans collected select Sampling details from the Settings menu.)

    Selecting to collect pre-trigger data enables transient capture, where data is saved in memory and copied to disk only after collection is complete.

  4. When the voltage levels at two designated input channels meet your conditions.

    Next...


Setting the Speed of Data Collection

The default speed is that specified in the hardware setup file. You can change this during the New Setup process, or by selecting Sampling details from the Settings menu.

The sampling speed may be expressed as the scan frequency or the scan interval. A scan consists of 1 reading from each enabled channel. The scan frequency is the number of scans taken each second. The scan interval is the time between the start of one scan and the start of the next. Changing either value causes the other to be recalculated.

Note that if you specified an external clock in SetupIML, the scan frequency and interval are greyed out and the external clock pulses used to time the scan.

In this dialogue you can also choose the maximum number of scans and inter-channel interval.


Setting the Maximum Number of Scans

You can choose the maximum amount of data to collect, specifying it as a number of scans. Do this either during the New Setup process, or by selecting Sampling details from the Settings menu. Erase the current number and type in a new one.

In this dialogue you can also choose the speed of streaming and inter-channel interval.


Setting the Inter-Channel Interval

You can choose the time between sampling one channel and the next, called the inter-channel interval or settling time. Do this either during the New Setup process, or by selecting Sampling details from the Settings menu.

To set the lowest possible inter-channel interval choose Near Simultaneous samples. If you have signals of very different sizes, or signals from high impedance sources, you will need a longer channel interval as the hardware requires time to settle between readings. In these cases choose Maximum settling time.

If you want to specify your own inter-channel interval, make sure it's small enough to allow all enabled channels to be read within the time allowed for each scan (the scan interval). If you enter a channel interval that is too long, Streamer will not let you OK the dialogue.

Note that if you enabled a low pass filter in SetupIML you need an inter-channel interval of at least 3 milliseconds, otherwise there may be interference between channels.

In this dialogue box you can also choose the speed of streaming and maximum number of scans.


Creating a Data File

Before you can collect any data you have to press the Collect button. When saving to disk this lets you create a data file or directory. The type of dialogue that appears depends on the type of file format you've specified.

ASCII and IMX (Binary) Files

Data from all channels are stored in one file. Enter a name and Streamer will automatically give the file the appropriate extension, .txt for ASCII or .imx for binary.

Famos Files

Data from each channel is stored in its own file. The files are named according to the channel names. You need to specify a directory (folder) in which to save the files. It is often convenient to organise your data in a series of sub-directories. If the sub-directory you choose already exists then any data that is already stored there will be overwritten and lost.

Choose OK to create the file or directory and close the dialogue box. The Start and Cancel buttons are enabled and the Collect button disabled. (To re-enable the Collect button, and discard your data file settings, press Streamer's Cancel button.)

If no dialogue appears when you press the Collect button then saving to disk has been disabled.


Cancelling the Collect Details

You can abandon the Collect details by choosing the Cancel button (this doesn't delete the file from the disk).


Viewing Data Without Saving to Disk

You can stream data without ever saving it to disk, giving just a visual display. Select Output File Format from the Settings menu. Do this before pressing the Collect button.

Clear the check box and choose OK. Data logging will be turned off. You'll probably want to see either a graphical or numerical display of the data, or indeed both.

Note that if you choose to view data without logging, you must still press the Collect button in order to enable the Start button. However, the Collect dialogue will not appear.

The Output File Format dialogue also lets you select the format of the data file.


Starting to Collect Data

Press the Start button to begin streaming data. Collection will start when the next trigger is received (immediately if none specified). The main Streamer window shows the progress of collection.

If you have selected to take readings before a trigger occurs, the red line shows the pre-trigger data captured. When you start sampling the blue progress bar advances to the end of the red trigger line and waits there until a trigger is received.

The Start button is not available until you have either created a new Streamer setup or restored an existing setup, and pressed the Collect button.


Stopping data streaming

Stopping Data Collection

You can stop data capture by:

  1. Pressing the Stop button.
  2. Waiting until the requested number of samples have been collected.


Displaying Data Numerically

You can display data values from selected channels whilst Streamer is collecting data. Be aware, though, that this may slow down data capture.

  1. Select Data View Window from the Display menu.
  2. Select the Channels menu.
  3. Select channels and choose the Connect button, or double-click a channel to toggle between connected and unconnected.
  4. Type in a refresh rate. This specifies how often the Data View window is updated. For maximum streaming speeds don't update the display too often.
  5. Choose OK.

All the connected channels will be linked to the Data View window and their values shown either when Streamer is waiting for an input level to be crossed, or is streaming data.

Open a Data View window before pressing the Collect button.

You can also use the Channel Connections dialogue to enable channels for dynamic data exchange.


Displaying setup information

Displaying the Setup Information

To display Streamer's current settings select Info Window from the Display menu. The hardware setup file name, scan frequency, maximum number of scans, scans so far, scans post trigger, trigger mode, number of channels in the scan and Streamer's status will be displayed.

Open an Info window before pressing the Collect button.


Balancing Strain Gauge Bridges

The output from unstrained bridges can be large in comparison to the changes that would be caused by strain. This requires a wide voltage range, the changes consequently being measured with poor resolution. The balancing facility solves this problem.

When you select Balance from Streamer's menu bar, a suitable voltage is subtracted from the input signal to make the bridge output read approximately zero. This subtraction will remain in force until you re-select Balance, so all future readings are as changes relative to the new zero level.

The voltage subtracted is actually a fraction of the bridge excitation voltage, so changes in the excitation do not affect the balance.


Maximising the Data Collection Rate: Preventing Buffer Overflow

Buffer overflow occurs when data is entering the hardware buffer faster than it is being taken out and written to disk. This may be because the data flow into the buffer is too fast and the collection rate is not sustainable, or because of a temporary reduction in the rate at which data is taken out of the buffer; for example when another application accesses the disk.

A buffer overflow means that collection will stop. One way of dealing with this is to reduce the data acquisition rate, but in many cases this is unacceptable because the required sampling rate is determined by the nature of the signals you are monitoring. To maintain your chosen sampling rate, reduce the workload by taking one or more of these steps.

  1. Use SetupIML to disable any channels that do not need to be recorded.
  2. Do not display the Chart, Data View or Info windows.
  3. Run Streamer on its own with no other Windows applications running.
  4. Defragment the disk to which you're streaming, using the program supplied by your operating system (for example Disk Defragmenter in the Windows System tools).

If you need to display the data graphically or numerically

  1. Display only the channels you need to see.
  2. Keep the display window as small as possible.
  3. Don't update the display window too often.
  4. Turn off the chart grid.


Saving Streamer's Settings

You can save the details you've specified in Streamer, including any display window settings. You can later reload these settings, quickly restoring Streamer to where you left it.

Select Save Streamer Setup from the File menu, or press the Save Setup button. The details are saved in a *.wst file.


Restoring Streamer's Settings

To restore previously saved settings to Streamer either select Restore Streamer Setup from the File menu, or press the Open Setup button.

Select a *.wst file. All the previously saved settings, including the hardware setup file, will be restored, and any open windows re-opened.


Closing Streamer

If necessary stop streaming by pressing the Stop button. Select Exit from the File menu. Streamer, and all its display windows, will close.

Closing the Other Windows

To close the Chart, Data View or Info windows, without closing the Streamer main window, move to the window and press the Alt and F4 keys on the keyboard.


Charting Data

You can chart the data as it is being collected by Streamer. Select New Chart from the Display menu to open Streamer's Chart window. Here you can display up to 8 channels graphically in real-time. You can show two charts, each with its own channels, speed and display settings. This means that you can compare long and short term trends.

In the Chart window you can

Select channels to chart

Select superimposed or separate traces

Select colours

Turn a grid on

Select the Y axis range

Select the charting speed

Select the update rate

Select the X axis labels

Open the Chart window, and configure it to you liking, before pressing the Collect button. You cannot change any of the settings once data streaming has begun.

Charting automatically starts and stops as streaming starts and stops


Selecting Channels to Chart

You can chart up to 8 channels in one window. To choose which select the Chart window's Channels menu.

Connecting channels

The dialogue box shows all the channels available in the loaded hardware setup. Initially they are unconnected and listed in the left hand list box. To connect a channel either select it and press the Connect button, or double-click the channel. It will now be displayed in the right hand Connected Channels list box.

Disconnecting channels

To disconnect a channel either select it from the right hand box and press the Disconnect button, or double-click the channel. It will swap back to the Unconnected Channels box.

Connecting all channels

When 8 or fewer channels are included in the setup you can connect them all at once by selecting the Connect All button. This button is greyed out if there are more than 8 channels.

Choose OK. The channels in the Connected Channels box are linked to Chart and will be graphed when you start streaming data. The channels will be in the same order as they are in the Connected Channels list.

After connecting or disconnecting channels the paper advances to a new page and the Chart is cleared of any previous graph.

You should connect channels before trying to set the other chart details. If no channels are connected you will not be able to fill in the Display and Ranges dialogues correctly.


Selecting Superimposed or Separate Traces

The chart can be drawn either with traces from all channels superimposed on 1 Y axis or each trace completely separate.

Select Display from the Chart's menu bar. Choose either Separate or Superimposed traces.

In this dialogue box you can also select a different colour for each trace and turn a grid on.


Selecting the Colours of the Traces

Select Display from the Chart's menu bar.

To change the colour of a trace click on the arrow at the right of the colour box and select a new colour from the list.

Press the Default button to reset the trace colours to their default values, namely:

Separate traces | All trace colours the same as the first one
Superimposed traces | All trace colours different

In this dialogue box you can also select superimposed or separate traces and a different colour for each trace.

Note that you should connect channels to the Chart window before trying to select colours.


Turning the Grid On and Off

You can choose whether or not a grid is displayed on the chart.

Select Display from the Chart's menu bar then click on Grid On or Grid Off.

In this dialogue box you can also select superimposed or separate traces and a different colour for each trace.


Selecting the Y Axis Range of the Chart

Select Ranges from the Chart's menu bar. One of two Range dialogue boxes appears depending on whether you chose separate or superimposed traces.

The range of input values covered by each trace is defined by a maximum and a minimum value.

Separate Traces

To set the chart range to the same as the channel range, check the "Auto" box (a tick is displayed).

Superimposed Traces

To set the chart range to encompass all the channels' ranges, check the "Select best fit values" box.

The maximum and minimum values of the range will be displayed in the edit boxes. To set your own customised range type your chosen maximum and minimum values into the edit boxes.

The "auto" and "best fit" ranges are rounded to sensible values, -10.24 to +10.24 is rounded to -11 to +11 for example, so a full scale input may not appear right at the edge of the chart.

The range limits are used as Y axis labels on the graph, unless the window is too small to display them.

Changing the range causes the paper to advance to a new page.

Note that you should connect channels to the Chart window before trying to set ranges.


Setting the Speed of Charting

Select Speed from the Chart's menu bar.

The speed of charting is specified as "graph history". The maximum graph history is the amount of data that can be displayed if the Chart window is maximised to fill the whole screen. The current graph history is the amount of data that can be displayed in the current window. You may specify a time in either of these boxes and the speed of charting will adjust accordingly. Changing a value in either box will automatically update the other.

If you are using an internal clock (as opposed to an external clock, defined in SetupIML) you can specify the chart history in hours, minutes or seconds. If you are using an external clock the software cannot determine the exact sampling times, so the history is specified as a number of samples.

In this dialogue box you can also select the chart update rate and the x axis labels.


Setting How Often to Update the Chart

You can choose how often the chart is updated. Select Speed from the Chart's menu bar.

The smaller the value of the target update rate the smoother the scrolling.

In this dialogue box you can also select the chart speed of sampling and the x axis labels.


Selecting the X Axis Labels

To set the format of the time labels on the X axis select Speed from the Chart's menu bar. From the Time labels box choose elapsed time in seconds, minutes or hours.

In this dialogue box you can also select the chart speed of sampling and the update rate.


Opening a Second Chart Window

You can open a second Chart window, showing data from the same or different channels, and charting at the same or different speeds. You can therefore open two windows on a particular channel, one giving a detailed short term view and the other tracking a long term trend.


Commands

Streamer Main Window

If the menu items are disabled then choose the Cancel or Stop button to enable them.

File menu

New Setup

Save Streamer Setup

Restore Streamer Setup

Exit

Settings menu

Output file format

Triggering

Sampling details

Display menu

New Chart

Data View

Info

Balance menu

Buttons

Chart Window

Channels menu

Display menu

Ranges menu

Data View Window

Channels menu


File Menu

New Setup

Takes you through the configuration dialogues.

Related topics:

Configuring Streamer by creating a new setup

Save Streamer Setup

Saves Streamer's settings to disk.

Related topics:

Saving Streamer's settings

Restore Streamer Setup

Restores previously saved settings to all Streamer's windows.

Related topics:

Restoring Streamer's settings

Exit

Closes Streamer and any display windows.

Related topics:

Closing Streamer


Settings Menu

Output file format

Sets the format of the data file and turns logging to disk on and off.

Related topics:

Choosing the format of the data file

Viewing data without saving to disk

Triggering

Sets triggering options.

Related topics:

Triggering data collection

Sampling details

Sets the timing details and number of scans.
Shows the duration of collection and the number of channels in the scan.

Related topics:

Setting the speed of data collection

Setting the maximum number of scans

Setting the inter-channel interval


Display Menu

New Chart

Opens a window displaying data graphically.

Related topics:

Charting data

Data View Window

Opens a window displaying data numerically.

Related topics:

Displaying data numerically

Info Window

Opens a window displaying configuration details.

Related topics:

Displaying the setup information


Balance Menu

Balances any strain gauge bridges.

Related topics:

Balancing Strain Gauge Bridges


Buttons

New Setup Button

Configures Streamer by stepping through the necessary dialogues. Equivalent of New Setup on the File menu.

Open Setup Button

Restores Streamer's settings. Equivalent of Restore Streamer Setup on the File menu.

Save Setup Button

Saves Streamer's settings. Equivalent of Save Streamer Setup on the File menu.

Collect Button

Creates a data file.

Start Button

Starts streaming data after the next trigger.

Cancel Button

Cancels the data file name.

Stop Button

Stops streaming data.


Chart Window

Channels menu

Selects channels to be shown on the chart.

Related topics:

Selecting channels to chart

Display Menu

Selects the display mode, trace colour and grid.

Related topics:

Selecting superimposed or separate traces

Selecting the colours of the traces

Turning the grid on and off

Ranges Menu

Selects the ranges of the chart.

Related topics:

Selecting the y axis range of the chart

Speed Menu

Selects the speed of charting, update rate and X axis labels.

Related topics:

Selecting the speed of charting

Selecting the how often to update the chart

Selecting the x axis labels


Data View Window

Channels menu

Selects channels to display numerically and enables them for DDE.

Related topics:

Selecting channels to display numerically


Dynamic Data Exchange (DDE)

DDE is a standard protocol that allows co-operating Windows applications to send commands and data to one another.

You should read the manuals for your chosen Windows application to find how to create DDE links there.

Both DDE applications must be loaded before a conversation can begin.

Windows programs cannot make DDE conversations unless they have a unique DDE Service Name. Streamer's service name is always "STREAMER".

Streamer supports these DDE transactions

INITIATE | starts a DDE conversation
REQUEST | provides one set of information
ADVISE | provides updates every time a value changes (Hotlink)
EXECUTE | sends commands to Streamer
TERMINATE | ends the conversation


Exchanging Data with DDE

Other Windows applications can obtain data from channels that have been enabled for DDE. All channels displayed in Streamer's Data View window are enabled for DDE. Select Data View from Streamer's menu bar and choose the Channels menu to enable channels.

When creating a DDE conversation, you must specify the service name (STREAMER) and the topic.

You can request data from Streamer on 4 topics: System, Data, Units and Status. Data is returned in CF-TEXT format, which is ordinary, readable ASCII text format. If several values are transferred then the values are separated by tab characters.


DDE System Topic

DDE conversations with Streamer on the System topic can access eight items:

ItemList | Lists supported Status topic items.
Topics | Lists supported topics.
Formats | Lists formats which may be used to transfer data. Streamer only supports CF-TEXT format.
SysItems | Lists the items supported by the System topic.
Channels | These are the names of the channels enabled for DDE. At the end of the list is a special channel called AllChannels. This special channel name can be used as the item with the Units and Data topics to obtain a list of data for all the active channels, accessing all channels simultaneously.
Help | Details supported topics and items.
Status | Gives server status.
ExecuteList | Lists supported DDE Execute commands.


DDE Data Topic

DDE conversations with Streamer on the Data topic can request items under the names of each channel shown in the Data View window. The answer returned is the most recently displayed data value read from this channel.

The special item AllChannels will return a list of latest values for all the connected channels.


DDE Units Topic

DDE conversations with Streamer on the Units topic can request items under the names of each channel shown in the Data View window. The values supplied are the engineering units of values on this channel (Volts, Celsius or Hertz for example) as chosen in SetupIML and recorded in the *.ims file.

The special item AllChannels will return a list of unit names for all the connected channels.


DDE Status Topic

The Status topic is useful when controlling Streamer with DDE executes. It lets the controlling application know the current state of Streamer, so ensuring Streamer is ready for the next command. The Status topic has 2 items.

Text - Returns the current status of Streamer as text

Number - Returns the current status of Streamer as a number

No setup, 0 | No hardware setup has been loaded
Busy, 1 | Streamer is busy
Ready, 2 | Streamer is ready for the Collect button
Running, 3 | Streamer is collecting data
Ready to start, 4 | Streamer is ready for the Start button
Waiting for start level, 5 | Streamer is waiting for the start level to be crossed
Error, 6 | An error has occurred


Sending commands with DDE

Sending Commands to Streamer with DDE

You can send Streamer simple instructions over DDE links, using the DDE Execute facility. This allows the applications to be controlled remotely from DDE client applications such as Famos or Excel.

You should send commands in the order that you'd press buttons or select menu items in Streamer. Check the status of Streamer before sending a command; to make sure it's ready to accept the instruction. To do this send a DDE request on the Status topic.

Commands are shown in upper case and their parameters in angled brackets. Parameters should be separated by a single space.

BALANCE

Balances strain gauge bridges. Equivalent to the Balance menu.

COLLECT <data file path and name>

Creates a file in which to save data. Equivalent to the Collect button. The <data file path and name> is optional. If present it should be the full file specification for the data file or directory (folder). If absent Streamer uses the Streamer directory + dataxxx as the file specification, where xxx is a number between 000 and 999 inclusive. Streamer automatically picks the next free number and adds either .imx for binary files or .txt for ASCII files. For Famos there is no extension, dataxxx is a sub-directory.

DESTROY

Closes Streamer. Equivalent to Exit on the File menu.

LOAD <filename>

Loads a Streamer setup file. Equivalent to Restore on the File menu. The filename should be the full path to the *.wst file.

MINIMIZE

Minimises Streamer and all its display windows. Equivalent of the Minimize command on the Control-menu box.

RESTORE

Restores Streamer, and all its display windows, to the sizes they were before they were minimised. Equivalent to the Restore command on the Control-menu box.

START

Starts streaming, either immediately or when the next trigger condition is fulfilled. Equivalent to the Start button. Only send this command after sending a COLLECT command.

STOP

Stops streaming. Equivalent to the Stop button. Only send this command after sending a START command.

When Streamer is being remotely driven by DDE execute commands it does not display any warnings. If data files already exist, for example, they will be overwritten without question. It is up to the controlling application to first check.


Streamer

Streamer is waveform capture, charting and review software for Windows. It lets you log data (temperature, strain, current, etc) at up to 100 kHz. You can set the speed of sampling from Streamer or from an external clock, and start scans from Streamer or from an external trigger.

Streamer works with Microlink high speed data acquisition hardware.

For more information on Streamer, or to download a free software demo, visit Windmill Software's web site at http://www.windmill.co.uk/.


Your Comments on the Help

Tell us any improvements we could make to our Help files. Could you quickly find what you wanted? Was the explanation clear? Have you any questions? Visit http://www.windmill.co.uk/help.html and fill in the comments form at the bottom of the page.


Windmill

Windmill is a suite of data acquisition and control software. It comprises:

Drivers - which handle the low-level communications

ConfIML - which creates a file holding details on which hardware devices are in your system

SetupIML - which creates files telling the other applications how you want the hardware configured

Applications - such as Logger and Chart which perform the data acquisition and control tasks


Contacting Windmill

Windmill Software,
PO Box 58,
North District Office,
Manchester,
M8 8QR,
UK
Telephone: +44 (0)161 833 2782
Facsimile: +44 (0)161 833 2190
E-mail: sales@windmill.co.uk
http://www.windmillsoft.com/
http://www.windmill.co.uk/


Licence a Trial Copy of Windmill

Subscribers to our newsletter can download a fully-working, trial version of Windmill and the ComIML serial driver. This lets you collect data from almost any device which plugs into the PC's COM port. At the end of your trial, if you wish to keep using the software, you can purchase a release key from our data acquisition shop. This will let you go on using your set-up indefinitely.

A licenced copy of Windmill lets you control up to 10 serial instruments which are sending binary or ASCII data. You can collect many channels of data from each instrument. It includes the charting, logging, output control and DDE programs. With the DDE Panel you can send data in real-time to other programs like Excel or Access.

To obtain a release key and licence Windmill:

  1. Run Windmill Licence from the Windmill program group.
  2. You will see a screen showing your software and a Request Key. Make a note of the Request Key.
  3. Go to the Windmill data acquisition shop and add Licence your trial version of Windmill to your shopping cart.
  4. During the checkout process you will be asked for your Request Key. Enter this.
  5. We will send you back your Release Key. Enter this in the Windmill Licence screen. Your software will be re-enabled and you can continue to use it.

Keep a record of your Release Key. You will need it if you want to install Windmill on another computer.

Thank you for using Windmill
http://www.windmill.co.uk/
http://www.windmillsoft.com/


World Wide Web

Web Site

You can find more information about Windmill Software on the World Wide Web at http://www.windmill.co.uk/.

Every month we publish a free newsletter - Monitor ((ISSN 1472-0221), delivered by e-mail. This gives tips on using Windmill and articles on data acquisition and control. To subscribe visit http://www.windmill.co.uk/newsletter.html.

For easy purchase of extra software modules visit http://www.windmillsoft.com/.

Updates of this Help file will be posted at http://www.windmill.co.uk/help.html.


Streamer Help Contents

Using Streamer

Overview

Configuring Streamer by creating a new setup

Configuring the hardware

Choosing the format of the data file

Triggering data collection

Setting the speed of data collection

Setting the maximum number of scans

Setting Inter-channel interval

Creating a data file

Cancelling the collect details

Viewing data without saving to disk

Starting to collect data

Stopping data collection

Displaying data numerically

Displaying the setup information

Balancing strain gauge bridges

Maximising the data collection rate: preventing buffer overflow

Saving Streamer's settings

Restoring Streamer's settings

Closing Streamer

Charting Data

Charting data

Selecting channels to chart

Selecting superimposed or separate traces

Selecting the colours of the traces

Turning a grid on and off

Selecting the Y axis range of the chart

Setting the speed of charting

Setting how often to update the chart

Selecting the X axis labels

Opening a second chart window

Command Reference

Commands

File menu

Settings menu

Display menu

Balance menu

Buttons

Chart window

Data View window

Dynamic Data Exchange (DDE)

Dynamic data exchange (DDE)

Exchanging rata with DDE

DDE System topic

DDE Data topic

DDE Units topic

DDE Status topic

Sending commands to Streamer with DDE


(Untitled)

Scan

A scan is complete when each channel has been sampled in turn.


Output File Format

This dialogue lets you select whether to save data to disk, and if so how it should be saved.

RECORD DATA TO DISK

To save data to disk check the Record data to disk box. To stream data without saving it to disk, giving just a visual display, clear the check box.

FILE FORMAT

Choose between Famos, IMX and ASCII text format. Which you pick depends on how you plan to analyse your data. If in doubt pick IMX. This is the most compact format and you can always use the ReView program to convert the data to Famos or ASCII format later.

Famos - Linearised 4 byte reals

Data is saved to disk in a format that is optimised for the Famos data analysis package. Data is not written directly to disk, however. Streamer stores data in memory in the computer until the collection is complete. It then converts the data to engineering units and writes it to disk. Because the data is temporarily stored in the computer memory, Streamer is limited in the amount of data it can collect. This limit is variable and depends on the amount of free virtual memory.

IMX - Native binary format

Data is written to disk directly from the hardware in a multiplexed binary format. This is the most efficient format and is used by ReView.

ASCII - Suitable for import into Excel or Replay

Most programs, including Excel, accept data in ASCII format. As with Famos format, Streamer stores data in memory until collection is complete. It then converts the data to engineering units and writes it to disk. Because the data is temporarily stored in the computer memory, Streamer is limited in the amount of data it can collect. This limit is variable and depends on the amount of free virtual memory.


Sampling Details

Use this dialogue box to set the sampling speed and inter-channel interval, and see the maximum duration of collection and the number of channels in the scan.

Sampling Speed

The sampling speed may be expressed as the scan frequency or the scan interval. A scan consists of 1 reading from each enabled channel.

Scan Frequency and Scan Interval

The scan frequency is the number of scans taken each second. The scan interval is the time between the start of one scan and the start of the next. Changing either value causes the other to be recalculated.

Note that if you specified an external clock in SetupIML the scan frequency and interval are greyed out and the external clock pulses used to time the scan.

Maximum Number of Scans

You can choose the maximum amount of data to collect, specifying it as a number of scans. Erase the current number and type in a new one.

Inter-Channel Interval

You can choose the time between sampling one channel and the next, called the inter-channel interval or settling time. To set the lowest possible inter-channel interval choose Near Simultaneous samples. If you have signals of very different sizes, or signals from high impedance sources, you'll need a longer channel interval as the hardware will need time to settle between readings. In these cases choose Maximum settling time.

You can also choose your own Custom channel interval. Make sure it's small enough to allow all enabled channels to be read within the time allowed for each scan (the scan interval). If you enter a channel interval that is too long, Streamer will not let you OK the dialogue.

If you enabled a low pass filter in SetupIML you need an inter-channel interval of at least 3 milliseconds, otherwise there may be interference between channels.

Scan Details

The scan details are for information only: you cannot directly change these values. The duration of collection is calculated from the sampling details, whilst the number of channels in the scan is set using SetupIML.


Disabled Menu Items

When you press the Collect button, most of the menu items are disabled (greyed out). To re-enable the items, and cancel any collect file details, press the Cancel button.


Topics

System
Data
Units
Status


Y Axis Range

This dialogue lets you set the maximum and minimum values that will be shown in the chart.

To set the chart range to encompass all the channels' ranges, check the "Select best fit values" box. The maximum and minimum values of the range are shown. The range is rounded to a sensible value, -10.24 to +10.24 is rounded to -11 to +11 for example.

To set your own customised range type your chosen maximum and minimum values into the boxes. This only affects the data displayed in the chart. Any data outside your ranges will be captured as normal.

The range limits are used as Y axis labels on the graph, (unless the window is too small to display them).

Changing the range causes the paper to advance to a new page.

No ranges are shown if you have not connected any channels to the Chart window.


Chart Display

Use the Chart Display dialogue to set:

  • whether channel traces are shown on separate Y axes or superimposed on one Y axis
  • the colours of the traces
  • the grid on or off

Selecting Superimposed or Separate Traces

The chart can be drawn either with traces from all channels superimposed on 1 Y axis or each trace completely separate.

Selecting the Colours of the Traces

To change the colour of a trace click on the arrow at the right of the colour box and select a new colour from the list.

Press the Default button to reset the trace colours to their default values, namely:

Separate traces: All trace colours the same as the first one

Superimposed traces: All trace colours different

No colours are shown if you have not connected any channels to the Chart window.

Turning the Grid On and Off

Click on Grid On or Grid Off.


Famos Data Directory

Data from each channel is stored in its own file. The files are named according to the channel names. You need to specify a directory (folder) in which to save the files. It is often convenient to organise your data in a series of sub-directories. If the sub-directory you choose already exists then any data that is already stored there will be overwritten and lost.

Choose OK to create the directory and close the dialogue box. The Start and Cancel buttons will be enabled and the Collect button disabled.


Y Axis Ranges

This dialogue lets you define the range of input values covered by each trace.

To set the chart range to the same as the channel range, check the "Auto" box. The maximum and minimum values of the range will be displayed in the edit boxes. The ranges are rounded to sensible values, -10.24 to +10.24 is rounded to -11 to +11 for example.

To set your own customised range type your chosen maximum and minimum values into the boxes. This only affects the data displayed in the chart. Any data outside your range will be captured as normal.

The range limits are used as Y axis labels on the graph, (unless the window is too small to display them).

Changing the range causes the paper to advance to a new page.

No ranges are shown if you have not connected any channels to the Chart window.


(Untitled)

Scan

A scan consists of 1 reading from each enabled channel.


Chart Speed

Use this dialogue to set:

  • the speed of charting
  • how often the chart is updated
  • the labels on the X axis

Graph History

The speed of charting is specified as "graph history". The maximum graph history is the amount of data that can be displayed if the Chart window is maximised to fill the whole screen. The current graph history is the amount of data that can be displayed in the current window. You may specify a time in either of these boxes and the speed of the chart will adjust accordingly. Changing a value in either box will automatically update the other. The smaller the interval the faster the chart.

When you are not using an external clock (specified in SetupIML's hardware setup file), you can set the chart history in hours, minutes or seconds. When you are using an external clock Streamer cannot determine the exact sampling times, so the history is specified as a number of samples.

Target Screen Update Rate

The smaller the value of the target update rate, the smoother the scrolling.

Time Labels

Choose elapsed time in seconds, minutes or hours.


(Untitled)

Working Directory or Folder

Data is stored in the working directory you specified with ConfIML. By default, setup information is stored at: "c:\program files\windmill software\windmill\setup". If you instead choose a different directory (folder), this becomes the working directory for the rest of the session.


Data File

Data from all channels is stored in one file. Enter a name and Streamer will automatically give the file the appropriate extension, .txt for ASCII or .imx for binary.

Choose OK to create the file and close the dialogue box. The Start and Cancel buttons will be enabled and the Collect button disabled.


Restore Streamer Setup

This dialogue lets you restore previously saved settings to Streamer.

Select a *.wst file and choose Load. All the previously saved settings, including the hardware setup file, will be restored, and any open windows re-opened.


(Untitled)

Hardware Setup File (*.ims)

The hardware setup file contains details of your choices in the SetupIML program. These include the channels from which you wish to collect data, the type of transducers you have connected and the input range of your signals. Streamer reads this file and sends the information to the data acquisition hardware.


(Untitled)

Windmill Streamer Help
designed and written
by Jill Studholme
http://www.studholme.net/


Save Streamer setup

Save Streamer's Setup

This dialogue lets you save the details you've specified in Streamer, including any display window settings. You can later reload these settings, quickly restoring Streamer to where you left it.

Type in a name for the file and press Save. The settings are stored in a *.wst file.


Data View Channels

Use this dialogue box to:

  • choose which channels to display in the Data View window
  • enable channels for DDE (dynamic data exchange)
  • choose how often to update the channels' values

Connecting channels

The dialogue box shows all the channels available in the loaded hardware setup. Initially they are unconnected and listed in the left hand list box. To connect a channel either select it and press the Connect button, or double-click the channel. It will now be displayed in the right hand Connected Channels list box.

Disconnecting channels

To disconnect a channel either select it from the right hand box and press the Disconnect button, or double-click the channel. It will swap back to the Unconnected Channels box.

Updating the channels

Type in a refresh rate. For maximum streaming speeds don't update the display too often.

Choose OK. All the connected channels will be linked to the Data View window and their values shown when Streamer is either waiting for an input level to be crossed, or is streaming data. All channels connected to the Data View window are automatically enabled for dynamic data exchange.


Chart Channels

Choose which channels you want to chart.

Connecting channels

The dialogue box shows all the channels available in the loaded hardware setup. Initially they are unconnected and listed in the left hand list box. To connect a channel either select it and press the Connect button, or double-click the channel. It will now be displayed in the right hand Connected Channels list box.

Disconnecting channels

To disconnect a channel either select it from the right hand box and press the Disconnect button, or double-click the channel. It will swap back to the Unconnected Channels box.

Connecting all channels

When 8 or fewer channels are included in the setup you can connect them all at once by selecting the Connect All button. This button is greyed out if there are more than 8 channels, which is the maximum number Chart can handle.

Choose OK and the channels in the Connected Channels list are linked to Chart and and graphed when you start streaming data. The channels will be in the same order as they are in the Connected Channels list.

After connecting or disconnecting channels the paper advances to a new page and the Chart is cleared of any previous graph.


Triggering Data Collection

Data collection will start after you press the Start button and your chosen trigger conditions are met. (The type of trigger initially defaults to that specified in the hardware setup file, but is replaced by your selections here.)

Trigger Type

Immediately on Start Button

Data streaming starts as soon as you press the Start button.

On External Hardware Trigger

Data streaming starts when your data acquisition hardware receives an appropriate signal at its trigger input. (See the Hardware Manual for details of connecting an external trigger.)

On Trigger Channel 1

Lets you designate a normal input channel to act as a trigger channel. Data collection starts when the voltage at that channel crosses your chosen threshold. This option also lets you capture pre-trigger data.

On Trigger Channels 1 or 2

Lets you designate two channels to act as triggers. Data capture starts when the voltage at either channel meets your requirements. You can also collect pre-trigger data.

Percent before Trigger

When you designate a channel to act as a trigger, you can choose to save pre-trigger data. This is useful for seeing exactly what happened before a trigger occurred. Enter the percentage of data to collect before the trigger occurs. (To set the total number of scans collected select Sampling details from the Settings menu.) Selecting to collect pre-trigger data enables transient capture, where data is saved in memory and copied to disk only after collection is complete.

Trigger Channel 1 / Trigger Channel 2

  • Choose which channel which will trigger data capture
  • Choose whether the trigger occurs when the voltage on that channel is above or below your set level
  • Choose the voltage level which when crossed should trigger data capture


Resizing, Moving and Minimising

You can resize, move and minimise Streamer in the normal Windows way. When you minimise Streamer, all its display windows will also be minimised.

Moving windows may lead to buffer overflow (where data is entering the hardware buffer faster than Streamer is taking it out), which causes streaming to stop.